Bug 817808 - [as7] HornetQ server sub-resources and properties missing
[as7] HornetQ server sub-resources and properties missing
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: as7-plugin 817811 820757 821808 821851
  Show dependency treegraph
 
Reported: 2012-05-01 07:42 EDT by Stefan Negrea
Modified: 2013-09-01 06:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 820757 821808 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:05:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-05-01 07:42:24 EDT
In ER6, the hornetq-server has one extra configurable property exposed. This is applicable to both runtime (deployment specific) and server subsystems.

The property:
"page-max-concurrent-io" => {
   "type" => INT,
   "description" => "The maximum number of concurrent reads allowed on paging",
   "expressions-allowed" => false,
   "nillable" => true,
   "default" => 5,
   "access-type" => "read-write",
   "storage" => "configuration",
   "restart-required" => "all-services"
},
Comment 1 Heiko W. Rupp 2012-05-08 15:41:06 EDT
Seems to be added in 8601dc25 on may 2nd
Comment 2 Stefan Negrea 2012-05-08 15:48:25 EDT
Server subsystem updated with the latest configuration for hornetq. 

Commit:
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=8601dc25257d4929c39e5c02c991cc40e70dac9f


Deployment specific subsystem is not updated.
Comment 3 Charles Crouch 2012-05-10 08:14:19 EDT
We need to determine how of much of this work, plus the remaining deployment specific work is exposed in the AS console. 
Depending on the answer to this will determine whether we clone bugs targeting for jon31 or jon32
Comment 4 Stefan Negrea 2012-05-10 17:27:07 EDT
This BZ only covers server subsystem updates. For deployment HornetQ updates please see bug 820757.

Also, this BZ will cover any updates for existing sub-resources and the addition of missing sub-resources for the messaging subsystem or sub-resources.
Comment 6 Stefan Negrea 2012-05-10 17:39:17 EDT
The following HornetQ server sub-resources are exposed in the AS console:
security setting, address setting, JMS topic, JMS queue, role, connection factory.

Additionally, the default HornetQ (delivered with full-ha profile for standalone) has sub-resources preconfigured out-of-box of the following types: remote connector, remote acceptor, pooled connection factory, in vm acceptor, in vm connector, discovery group, broadcast group.
Comment 7 Heiko W. Rupp 2013-09-01 06:05:19 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.